/**
 * Created by IntelliJ IDEA.
 * User: m09kaa3
 * Date: 07.10.2009
 * Time: 18:06:48
 * To change this template use File | Settings | File Templates.
 */
import java.io.*;
import java.util.*;
public class sort {
    public static void main(String[] args) throws Exception{
        Scanner s= new Scanner(new File("sort.in"));
        PrintWriter p =new PrintWriter(new File("sort.out"));
        int n=s.nextInt();
        int[] a= new int[n];
        for(int i=0;i<=n-1;i++){
            a[i]=s.nextInt();

        }
        for(int i=0; i<=n-1;i++){
            for(int j=i+1;j<=n-1;j++){
                if (a[j]<a[i]){
                    int t=a[i];
                    a[i]=a[j];
                    a[j]=t;
                                              }
            }
        }
        for (int i=0; i<n;i++){
            p.print(a[i]+" ");
        }
        p.close();
    }
}
